#include <iostream.h>
#include "TObject.h"

class MyVector: public TObject {
	private:
	  Float_t fX;	// X position
	  Float_t fY;	// Y position
	  Int_t fTempValue; //!temporary state value
	public:
	  MyVector()	{ fX = -1; fY = -1; }	// Default Constructor
	  MyVector(float x, float y)	{ fX = x; fY = y; }	// Default Constructor
	  void Print() const;					// Method defined in cxx
	  void SetX(float x)	{ fX = x; }			// Inline definition of X
	  void SetY(float y)	{ fY = y; }			// Inline definition of Y
	  Float_t Magnitude();					// Method defined in cxx

	ClassDef (MyVector, 1)
};
